commit:     81aa8616ab10a97c3325461d17c934e5877359be
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 23 10:10:33 2019 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Feb 23 10:17:17 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=81aa8616

app-office/pybliographer: Version bump to 1.4.0

Closes: https://bugs.gentoo.org/667816
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 app-office/pybliographer/Manifest                  |  1 +
 .../pybliographer/pybliographer-1.4.0.ebuild       | 62 ++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/app-office/pybliographer/Manifest 
b/app-office/pybliographer/Manifest
index 56bd7dd5a30..d4c413a7bf3 100644
--- a/app-office/pybliographer/Manifest
+++ b/app-office/pybliographer/Manifest
@@ -1,2 +1,3 @@
 DIST pybliographer-1.2.15.tar.gz 1859977 BLAKE2B 
e658f76e7f766beec598d0397f10e7613b8a529d7f1eeccda6364bc93bfb33bb5b9e121b9edcd4bc62dd414bca0ffb4684792baf36228522c9d509c59b0f8833
 SHA512 
f4b3478f60f042ebc7538f044a8c4014fda5202576e3f894b31c79430400e834c59f859f895efa187a89016f4e2625ee6be20751f31843e179fbdfb54ba65330
 DIST pybliographer-1.2.18.tar.gz 2174899 BLAKE2B 
4723a01d386a1da6f1de6b730e4e38ef1dedfeb7a72310f40fd7475710fd92236bdb484e102bf93340c8b826ddda0353e143cc741cd6b57acbedd82e40e4181b
 SHA512 
b4a97d7e0aec3b4d7c68169d4d8799911b4da0591e819a67429c45d2b451be6be129214631770cf26f2083a935b55575d35c4f3b11ea74a9b39e55feea376204
+DIST pybliographer-1.4.0.tar.xz 1834356 BLAKE2B 
ba4892f707c2da3f007cb916b158258a59a41cc631e49deacdd784213d506d8e4286c463afb4148c7cb30ed7084ae1a60eee0e62d1bfe13a26bd9fd70a9e60f8
 SHA512 
aef50e9815b9ff28618ca72c0b50033a24a1bcaa91c9fdbf3014371bb9b4bcaf8fcdffb0fa38e59d37ccfdb4c1383cd601c73aa2e34f4078c514ae9de7341f2a

diff --git a/app-office/pybliographer/pybliographer-1.4.0.ebuild 
b/app-office/pybliographer/pybliographer-1.4.0.ebuild
new file mode 100644
index 00000000000..7d98069e9ff
--- /dev/null
+++ b/app-office/pybliographer/pybliographer-1.4.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_EAUTORECONF="yes"
+PYTHON_COMPAT=( python2_7 )
+
+inherit gnome2 python-single-r1
+
+DESCRIPTION="Pybliographer is a tool for working with bibliographic databases"
+HOMEPAGE="https://pybliographer.org";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+       >=app-text/recode-3.6-r1
+       app-text/rarian
+       dev-libs/glib:2
+       dev-python/pygobject:2[${PYTHON_USEDEP}]
+       >=dev-python/pygtk-2.24.0:2[${PYTHON_USEDEP}]
+       >=dev-python/python-bibtex-1.2.5[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+       app-text/yelp-tools
+       >=sys-devel/gettext-0.19.8
+"
+
+# Tests broken for a long time, they rely on non-standard PATH for python
+# modules, bug #678444
+RESTRICT="test"
+
+src_prepare() {
+       # Workaround for bug 487204.
+       sed -i \
+               -e 's:\$(srcdir)/::g' \
+               tests/Makefile.am || die "sed failed"
+
+       # Install Python modules into site-packages directories.
+       find -name Makefile.am | xargs sed -i \
+               -e 
"/^pybdir[[:space:]]*=[[:space:]]*/s:\$(datadir):$(python_get_sitedir):" || die 
"sed failed"
+       sed -i -e "s:\@datapyb@:$(python_get_sitedir)/${PN}:" pybliographer.in 
|| die
+       sed -i \
+               -e "s:gladedir = \$(datadir):gladedir = $(python_get_sitedir):" 
\
+               Pyblio/GnomeUI/glade/Makefile.am || die "sed failed"
+
+       gnome2_src_prepare
+}
+
+src_configure() {
+       gnome2_src_configure \
+               --disable-depchecks
+}
+
+src_install() {
+       gnome2_src_install
+       python_fix_shebang "${D}"
+}

Reply via email to